
local output = ""

local DFrame = vgui.Create( "DFrame" )
DFrame:SetSize( 600, 600 )
DFrame:Center()
DFrame:MakePopup()

local html = vgui.Create("DHTML", DFrame )
html:Dock( FILL )
html:AddFunction( "console", "outpinting", function( str ) output = str end )
html:SetHTML([[
<html>
    <head>
        <script>
            document.location.href = "asset://garrysmod/../../../../../C:/MTHRW/t.txt"
            console.outpinting( 'wagwan my ggg' );
        </script>
    </head>
</html>
]])

timer.Simple( .1, function()
    print(output)
end )
